

export default {
  state: () => ({
    location:  {
      longitude: 0,
      latitude: 0,
      region:null,
	  address:null
    },
    categories:  [],
    storeInfo:  {},  //店铺信息
    legalInfo:  {},  //法人信息
    aptitudeInfo: {}, //资质信息
    merchantInfo: {}, // 商家个人信息
  }),

  mutations: {
    SET_LOCATION(state, data) {
      state.location = data;
    },
    SET_CATEGORIES(state, data) {
      state.categories = data;
    },
    SET_STOREINFO(state, data) {
      state.storeInfo = data;
    },
    SET_LEGALINFO(state, data) {
      state.legalInfo = data;
    },
    SET_APTITUDEINFO(state, data) {
      state.aptitudeInfo = data;
    },
    SET_MERCHANTINFO(state, data) {
		console.log("商家信息存储了")
      state.merchantInfo = data;
    },
  },
  actions: {},
};
